## An arduino library for Fuzzy Tako-Tank

This is a library for the Fuzzy Tako-Tank robot controller board. The controller consists of ATmega32P microcontroller, nRF24-1+ transceiver, YX5200 mp3 chip with micro-SD, TB6612FNG duel H-bridge and CP2102 USB-UART bridge. All neccessary codes are self-contained, no dependencies required.

### Purpose:
Tako-Tank brings fun!
![Tako Tank Battle](https://github.com/FuzzyStudio/Fuzzy-Tank/blob/master/extras/images/Battle.jpg)

### Installation:
This library can be [installed](https://www.arduino.cc/en/Guide/Libraries) using the Arduino Library Manager:
1. In Arduino IDE, choose Sketch->Include Library->Manage libraries
2. Search for "Fuzzy Tank".
3. Install the latest version.

Or using the following steps:
1. Download the library as a zip file.
2. Extract the <Fuzzy-Tank> folder under your Arduino\libraries\ folder.
3. Re-open the Adruino IDE.


### Upload sketch:
1. In the Arduino IDE, choose File->Examples->Fuzzy Tank > to open the example sketch.
2. Choose Tools->Board to select Arduino/Genuino Uno
3. Choose Tools->Port: to select proper connected port.
4. Choose Sketch->Upload to upload your sketch.
[More information](https://www.arduino.cc/en/Guide/ArduinoUno)

### Design principle:
* All codes for onboard/connected components incorporated into the library.

### Acknowledgements;
This library has directly or indirectly used the following libraries/codes:

* [DFPlayer](https://github.com/DFRobot/DFRobotDFPlayerMini) by DFRobot
* [SendOnlySoftwareSerial](http://gammon.com.au/Arduino/SendOnlySoftwareSerial.zip) by Nick Gammon
* [light_ws2812](https://github.com/cpldcpu/light_ws2812) by cpldcpu
* [Streaming](http://arduiniana.org/libraries/streaming/) by Mikal Hart
* [Adafruit_TiCoServo](https://github.com/adafruit/Adafruit_TiCoServo) by Phillip Burgess
* [RF24](https://github.com/nRF24/RF24) by TMRh20
* [IRLremote](https://github.com/NicoHood/IRLremote) by NicoHood

