#include "Fuzzy_Tank.h"
#include <SPI.h>
#include <EEPROM.h>


FuzzyTank tank; //create the fuzzy tank instance

/*See Fuzzy_Tank_Basic example for notes.*/

void setup()
{
	Serial.begin(115200);
	Serial.println(F("Fuzzy Tank started."));

	tank.begin(); //Required in the setup(). Call this before any other calls to the tank object.

	/*
	Set blood value for each life
	Each normal hit takes 10 blood.
	Default value is 50
	*/
	tank.setBlood(30);

	/*
	Set life value for each game.
	Default value is 3
	*/
	tank.setLife(1);

	/*
	Determinie if tank can be hit after gameover. 
	Set to false if you don't want to be humiliated after gameover.
	Default value is true.
	*/
	tank.canBeHitAfterGameover(true);
}

void loop()
{
	tank.update(); //Required in the loop().
}
