#include "Fuzzy_Tank.h"
#include <SPI.h>
#include <EEPROM.h>

FuzzyTank tank; //create the fuzzy tank instance

/*
This sketch demonstrates how to adjust parameters related to motor
and movement control.
*/

void setup()
{
	Serial.begin(115200);
	Serial.println("Fuzzy Tank started.");

	tank.begin();

	/*Note: In order for user to override the speed settings, the following
	functions need to be placed ***below*** tank.begin() statement.
	*/

	/*
	Optional, set the maximum speed for motor output, for forward and backward movements.
	Usable values would be 30~255, where 255 is the fastest.
	Default maximum forward value is 220.
	Default maximum backward value is 160.
	*/
	tank.setMaximumForwardSpeed(255);
	tank.setMaximumBackwardSpeed(255);
	
	//tank.setMaximumSpeed(255); sets both forward and backward speed

	/*
	Optional, set the smoothness for motor output.
	Higher value yields a smoother motor output change responding
	to joystick command value change, and become more laggy.
	Usable values would be 0~5
	0 means no smoothering, motor output respond to every input change.
	Default value is 2.
	*/
	tank.setMotorSmoothness(2);

	/*
	Optional, set the motor maximum output speed during turning.
	Higher value yields a higher self-rotation rate.
	Usable values would be 30~127
	Maximum value is 127
	Default value is 80
	*/
	tank.setMaximumTurnSpeed(127);
}

void loop()
{
	tank.update();
}
